[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:00488] Re: gtk+1.1.14の導入


竹田@VineTools担当です。

> さる事情でgtk+とglibの開発版を入れる必要があり、方法を模索しています。

gtk+-1.1.? 系列ですか。

> 現在の環境に影響を出さないようにするには、どんな方法があるか、ご存じの方
> がいらっしゃれば、教えていただきたいのですが・・・

gtk+ のメーリングリストのアーカイブを探せばいいと思うのですが、
一番簡単そうなのは gtk+-1.0.? のライブラリをどこかにとっておいて
gtk+-1.1.? をインストールしたあと、gtk+-1.0.? のライブラリだけ
元に戻すとかはダメでしょうか?

ライブラリのバージョンが違えばちゃんとみにいってくれると思うんですが…。
gtk+-1.0.? と gtk+-1.1.? の両方のコンパイルができないとだめ とか
いうのでしたら、

/usr/include/gtk+-1.0.?
/usr/include/gtk+-1.1.?
/usr/lib/libgtk.so.1.0.6
/usr/lib/libgtk.so.1.1.?

としてインストールされるようにしておいて、gtk-config を二つ用意して、
gtk-config が返す値をバージョンごとに変えればいいとかそういう
のはダメっすかね。

gtk-config-1.0 --cflags だと /usr/include/gtk+-1.0.6 を返して、
gtk-config-1.1 --cflags だと /usr/include/gtk+-1.1.? を返すとか…。

gtk-config --libs も同様に…。

---
(T=)

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: